bridgestat.diag {codadiags} | R Documentation

## Iterative truncation procedure based on a bridge statistic.

### Description

Iterative truncation procedure based on a bridge statistic.

### Usage

      bridgestat.diag(x, bridge = "student", stat = "E",
        param = "asymptotic", trunc = 1, eps = 0.1,
        pvalue = 0.3)

### Arguments

`x` | coda::mcmc sequence (will be cast to if necessary) to truncate transient
`bridge` | bridge type to use: "brownian", student" or "loglik"
`stat` | statistic to use for testing bridge: - if student bridge, "E","var","autocov","loglik_mean","loglik_extremum","extremum","ratio_extremum","ratio_loglik_extremum" - if brownian bridge, "E","var","autocov","loglik_mean","loglik_extremum","extremum","ratio_extremum","ratio_loglik_extremum" - if loglik bridge, "E","var","autocov","extremum","ratio_extremum"
`param` | if "asymptotic" use asymptotic statistics, else if a list of 'N' and 'rho' use these parameters, if NULL estimate N and rho
`trunc` | number of mcmc iterations to delete: if >=1, it is a constant number, if <1, a percentage of remaining batches
`eps` | Target value for ratio of halfwidth to sample mean (for compatibility with heidel.diag)
`pvalue` | significance level to use in iterative test

### References

Heidelberger P and Welch PD. Simulation run length control in the presence of an initial transient. Opns Res., 31, 1109-44 (1983)

### See Also

coda::heidel.diag

### Examples

    require(codadiags)
    set.seed(123)
    x = AR1()
    print(bridgestat.diag(x))
    y = add.transient(x)
    print(bridgestat.diag(y,trunc=10))

[Package codadiags version 1.0 Index]